Bug 147286 - array subscript out of range + local variable used before set
Summary: array subscript out of range + local variable used before set
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lksctp-tools   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-06 09:57 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 13:26:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-02-06 09:57:46 UTC
Description of problem:

I just tried to compile package lksctp-tools-1.0.2-3 from 
Redhat Fedora development tree.

The compiler said

1.

sctp_test.c(359): warning #175: subscript out of range

The source code is

                        tmptext[BODYSIZE] = '\0';

but

                        char *text, tmptext[BODYSIZE];

Suggest code rework.

2.

test_basic.c(135): remark #592: variable "associd1" is used before its
value is set

The source code is

        n_laddrs = sctp_getladdrs(sk1, associd1, &laddrs);

Suggest init associd1 before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Karsten Hopp 2005-02-10 13:26:54 UTC
fixed in rawhide, thanks


Note You need to log in before you can comment on or make changes to this bug.